# Interface methods for submodule: WhiteTopHatImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import KernelImageFilterProxy as _KernelImageFilterProxy


# Interface methods for class: WhiteTopHatImageFilter
class WhiteTopHatImageFilterProxy(_KernelImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetSafeBorder(self, _arg: bool) -> None:
		""""""
		...

	def GetSafeBorder(self) -> bool:
		""""""
		...

	def SafeBorderOn(self) -> None:
		""""""
		...

	def SafeBorderOff(self) -> None:
		""""""
		...

	def SetAlgorithm(self, _arg) -> None:
		""""""
		...

	def GetAlgorithm(self):
		""""""
		...

	def SetForceAlgorithm(self, _arg: bool) -> None:
		""""""
		...

	def GetForceAlgorithm(self) -> bool:
		""""""
		...

	def ForceAlgorithmOn(self) -> None:
		""""""
		...

	def ForceAlgorithmOff(self) -> None:
		""""""
		...

